package com.agilex.healthcare.schedulingmanager.domain;

import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObject;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "detailCode", namespace = Namespace.SchedulingManager)
public class SMDetailCode extends DomainTransferObject implements Serializable{

	private static final long serialVersionUID = 0504090638079785865L;

	@XmlElement
	private String code;
	
	@XmlElement
	private String providerMessage;
	
	@XmlElement
	private String veteranMessage;
	

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getProviderMessage() {
		return providerMessage;
	}

	public void setProviderMessage(String providerMessage) {
		this.providerMessage = providerMessage;
	}

	public String getVeteranMessage() {
		return veteranMessage;
	}

	public void setVeteranMessage(String veteranMessage) {
		this.veteranMessage = veteranMessage;
	}
}
